# Types

Gather an overview of all the types available via the types' endpoints.

Use one of our three types' endpoints. Per endpoint, you can find the details, including base URL, parameters, includes and more.&#x20;

* **GET All Types:** returns all the types that are available within your subscription.
* **GET Type by ID:** returns information from your requested type ID.
* **GET Type by Entity:** Returns types which are available per entity.

#### Include options

`None`

**Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the types' endpoints are:

* [Type](https://docs.sportmonks.com/football/v/core-api/entities/core#type)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/endpoints-and-entities/endpoints/types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
